# bubbles

#### new bubbles(selection)

Constructor

Source:
  - component/bubbles.js, line 99

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) color(_v) → {*}

Color Getter / Setter

Source:
  - component/bubbles.js, line 254

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Color (e.g. "red" or "#ff0000").

##### Returns:

Type:
  `*`

#### (static) colors(_v) → {*}

Colors Getter / Setter

Source:
  - component/bubbles.js, line 266

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Array of colours used by color scale.

##### Returns:

Type:
  `*`

#### (static) colorScale(_v) → {*}

Color Scale Getter / Setter

Source:
  - component/bubbles.js, line 242

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 color scale.

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/bubbles.js, line 170

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) mappings(_v) → {*}

Mappings Getter / Setter

Source:
  - component/bubbles.js, line 278

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | Map properties to size, colour etc.

##### Returns:

Type:
  `*`

#### (static) on() → {*}

Dispatch On Getter

Source:
  - component/bubbles.js, line 289

##### Returns:

Type:
  `*`

#### (static) sizeRange(_v) → {*}

Size Range Getter / Setter

Source:
  - component/bubbles.js, line 230

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array.<number>` | Size min and max (e.g. [1, 9]).

##### Returns:

Type:
  `*`

#### (static) sizeScale(_v) → {*}

Size Scale Getter / Setter

Source:
  - component/bubbles.js, line 218

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 size scale.

##### Returns:

Type:
  `*`

#### (static) xScale(_v) → {*}

X Scale Getter / Setter

Source:
  - component/bubbles.js, line 182

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) yScale(_v) → {*}

Y Scale Getter / Setter

Source:
  - component/bubbles.js, line 194

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`

#### (static) zScale(_v) → {*}

Z Scale Getter / Setter

Source:
  - component/bubbles.js, line 206

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 scale.

##### Returns:

Type:
  `*`